ChangeSet 1.1281, 2003/12/11 17:02:03-08:00, stern@rowland.harvard.edu

[PATCH] USB storage: Another unusual_devs.h update

On Thu, 20 Nov 2003, Stefan J. Betz wrote:

> Hello People,
>
> i have some Mitsumi USB Floppy Drive with the following Data:
> Manufactur: Mitsumi
> Typ       : D353FUE
>
> When i plug this Device into my Linux Box (Kernel 2.6.0-test9), i get
> the following messages in my Syslog:
>
> Nov 20 22:17:57 mobileone kernel: hub 1-0:1.0: new USB device on port 1, assigned address 2
> Nov 20 22:17:57 mobileone kernel: usb-storage: This device (03ee,6901,0100 S 04 P 00) has unneeded SubClass and Protocol entries in unusual_devs.h
> Nov 20 22:17:57 mobileone kernel:    Please send a copy of this message to <linux-usb-devel@lists.sourceforge.net>
> Nov 20 22:17:57 mobileone kernel: scsi2 : SCSI emulation for USB Mass Storage devices
> Nov 20 22:17:57 mobileone kernel:   Vendor: MITSUMI   Model: USB FDD           Rev: 1039
> Nov 20 22:17:57 mobileone kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
> Nov 20 22:17:57 mobileone kernel: Attached scsi generic sg2 at scsi2, channel 0, id 0, lun 0,  type 0

> I that is enough information to Support that drive (or how can i use ist
> today?)
>
> Greeting Betz Stefan

Thank you for sending this in.  The usb-storage driver will be updated
sometime after 2.6.0-final is released.

Alan Stern


 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Dec 12 15:06:45 2003
+++ b/drivers/usb/storage/unusual_devs.h	Fri Dec 12 15:06:45 2003
@@ -53,7 +53,7 @@
 UNUSUAL_DEV(  0x03ee, 0x6901, 0x0000, 0x0100,
 		"Mitsumi",
 		"USB FDD",
-		US_SC_UFI, US_PR_CBI, NULL,
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_SINGLE_LUN ),
 
 UNUSUAL_DEV(  0x03f0, 0x0107, 0x0200, 0x0200, 
